Get Carrier Biller Non Fiscal Invoices

GET REST API endpoint for retrieving financial data that will become or has already become a Confirmation of Purchase (non-fiscal invoice) for delivery services, intended for carrier-biller-integration. Invoices are linked to the CarrierBiller entity via the Shipment <-> Carrier <-> CarrierBiller relationship.

Authentication is performed using a Bearer Token (JWT) obtained via the ClientCredentials flow with scope carrierbiller_public_api/full_access. All timestamps are in UTC.

Note: Carrier allocation happens when a shipment transitions to PACKED status. In general, the allocation process is fast, but delays can occur — there may be cases where a shipment is in PACKED status without an assigned carrier, in which case CarrierBiller information will not be available. It is recommended to query from READY_FOR_COLLECTION status onwards.

Request

HTTP MethodGET
URLStagehttps://api.qa2.ananastest.com/order/api/v2/carrier-biller-integration/invoices/non-fiscal
Productionhttps://api.ananas.rs/order/api/v2/carrier-biller-integration/invoices/non-fiscal
HTTP Headers
Header nameHeader value
AuthorizationBearer {access_token}
Query Parameters
Parameter nameTypeRequiredDescription
statusesSet<String>TrueSubset of: PARTIALLY_PACKED, PARTIALLY_PACKED_IN_TRANSIT,PARTIALLY_PACKED_ON_THE_BORDER, PACKED, PACKED_IN_TRANSIT,PACKED_ON_THE_BORDER, READY_FOR_COLLECTION, COLLECTED,ON_DELIVERY, DELIVERED
statusChangedDateFromISO.DATE_TIMETrueShipment/Suborder status changed date_time from
statusChangedDateToISO.DATE_TIMETrueShipment/Suborder status changed date_time to

Example Request

GET https://api.qa2.ananastest.com/order/api/v2/carrier-biller-integration/invoices/non-fiscal?statuses=READY_FOR_COLLECTION&statusChangedDateFrom=2026-03-01T00:00:00.0000000Z&statusChangedDateTo=2026-03-01T23:59:59.0000000Z Authorization: Bearer ACCESS_TOKEN

Response

Returns a list of non-fiscal invoices for delivery services associated with the resolved CarrierBiller.

Fields

Field nameTypeDescription
shipmentDetails.orderIdStringOrder ID
shipmentDetails.suborderIdStringSuborder ID
shipmentDetails.suborderTypeStringSuborder type
shipmentDetails.createdDateISO DateTimeSuborder created date
shipmentDetails.carrierCodeStringCarrier code
shipmentDetails.carrierNameStringCarrier name
financialDetails.invoiceTypeStringAlways SALE for this endpoint
financialDetails.itemsArrayInvoice line items (code, name, quantity, vat, basePrice, basePriceWithoutVat)
financialDetails.paymentArrayPayment details (amount, paymentType)
financialDetails.isLegalEntityBuyerBooleanWhether the buyer is a legal entity
financialDetails.legalEntityBuyerObjectLegal entity buyer info (buyerTin, buyerName). Present only when isLegalEntityBuyer is true
nonfiscalInvoiceDetails.invoiceNumberStringNon-fiscal invoice number
nonfiscalInvoiceDetails.invoiceDateISO DateTimeNon-fiscal invoice date
nonfiscalInvoiceDetails.activeBooleanWhether the invoice is active

Example Response

[
  {
    "shipmentDetails": {
      "orderId": "OQI39-EURSE",
      "suborderId": "OQI39-EURSE-DS-1",
      "suborderType": "DS",
      "createdDate": "2026-03-22T21:10:17.592064Z",
      "carrierCode": "CEX01",
      "carrierName": "City Express"
    },
    "financialDetails": {
      "invoiceType": "SALE",
      "items": [
        {
          "code": "SHIPPING_COST",
          "name": "DOSTAVA (pripadajuća)",
          "quantity": 1,
          "vat": 20,
          "basePrice": 349.00,
          "basePriceWithoutVat": 290.83
        },
        {
          "code": "CASH_HANDLING_FEE",
          "name": "Naknada za plaćanje pouzećem",
          "quantity": 1,
          "vat": 20,
          "basePrice": 200.00,
          "basePriceWithoutVat": 166.67
        }
      ],
      "payment": [
        {
          "amount": 549,
          "paymentType": "COD"
        }
      ],
      "isLegalEntityBuyer": false
    },
    "nonfiscalInvoiceDetails": {
      "invoiceNumber": "25260227412",
      "invoiceDate": "2026-03-24T01:25:51Z",
      "active": false
    }
  }
]
Copyright © Ananas 2023. All right reserved.